﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using Spire.DataExport.Access;
using Spire.DataExport;

namespace DatasetToMsAccess
{
    class Program
    {
        static void Main(string[] args)
        {
            AccessExport accessExport1 = new AccessExport();
            accessExport1.DataFormats.CultureName = "zh-CN";
            accessExport1.DataFormats.Currency = "c";
            accessExport1.DataFormats.DateTime = "yyyy/M/d H:mm";
            accessExport1.DataFormats.Float = "g";
            accessExport1.DataFormats.Integer = "g";
            accessExport1.DataFormats.Time = "H:mm";
            accessExport1.DataSource = Spire.DataExport.Common.ExportSource.DataTable;
            accessExport1.DatabaseName = @"..\..\database\test.mdb";
            DataSet ds = new DataSet();
            ds.ReadXml(@"..\..\database\Orders.xml");
            foreach (DataTable item in ds.Tables)
            {
                accessExport1.DataTable = item;
                accessExport1.TableName = item.TableName;
                accessExport1.SaveToFile();
            }
        }
    }
}
